package cn.com.qmth.examcloud.exchange.inner.api.client;

import cn.com.qmth.examcloud.exchange.inner.api.SmsCloudService;
import cn.com.qmth.examcloud.exchange.inner.api.request.CheckSmsCodeReq;
import cn.com.qmth.examcloud.exchange.inner.api.request.SendSmsCodeReq;
import cn.com.qmth.examcloud.exchange.inner.api.request.SendSmsReq;
import cn.com.qmth.examcloud.exchange.inner.api.response.CheckIdentifyingCodeResp;
import cn.com.qmth.examcloud.exchange.inner.api.response.SendSmsCodeResp;
import cn.com.qmth.examcloud.exchange.inner.api.response.SendSmsResp;
import org.springframework.stereotype.Service;

/**
 * @author chenken
 * @date 2018年7月3日 下午4:01:56
 * @company QMTH
 * @description SendSmsServiceClient.java
 */
@Service
public class SmsServiceClient extends AbstractCloudClientSupport
        implements
        SmsCloudService {

    private static final long serialVersionUID = -2880611326177571371L;


    @Override
    public SendSmsResp sendSms(SendSmsReq req) {

        return post("/sms/sendSms", req, SendSmsResp.class);
    }

    @Override
    public SendSmsCodeResp sendIdentifyingCode(SendSmsCodeReq req) {
        return post("/sms/sendIdentifyingCode", req, SendSmsCodeResp.class);
    }

    @Override
    public CheckIdentifyingCodeResp checkIdentifyingCode(CheckSmsCodeReq req) {
        return post("/sms/checkIdentifyingCode", req, CheckIdentifyingCodeResp.class);
    }
}
